Bug 169720 - comms/trustedqsl does not build
Summary: comms/trustedqsl does not build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-08 21:20 UTC by paul
Modified: 2012-08-15 00:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paul 2012-07-08 21:20:06 UTC
comm/trustedqsl does not build.  I believe this is is due to the fact that I have security/openssl installed in support of other ports.

Paul


 c++ -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include -I/usr/local/include -I/usr/include -g3 -O -Wall -DCONFDIR=\"/usr/local/share/tqsl\" -O2 -pipe -fno-strict-aliasing -fconserve-space -c tqsllib.cpp -o tqsllib.o >/dev/null 2>&1
/bin/sh ./libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H  -I. -I. -I. -I/usr/include -I/usr/local/include -I/usr/include    -g3 -O -Wall   -DCONFDIR=\"/usr/local/share/tqsl\" -O2 -pipe -fno-strict-aliasing -fconserve-space -c -o openssl_cert.lo openssl_cert.cpp
 c++ -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include -I/usr/local/include -I/usr/include -g3 -O -Wall -DCONFDIR=\"/usr/local/share/tqsl\" -O2 -pipe -fno-strict-aliasing -fconserve-space -c openssl_cert.cpp  -fPIC -DPIC -o .libs/openssl_cert.o
openssl_cert.cpp:1296:2: error: #error "Unexpected OpenSSL version; check X509_ATTRIBUTE struct compatibility"
openssl_cert.cpp: In function 'int tqsl_getCertificatePrivateKeyType(void*)':
openssl_cert.cpp:1053: warning: deprecated conversion from string constant to 'char*'
openssl_cert.cpp: In function 'int tqsl_add_bag_attribute(PKCS12_SAFEBAG*, const char*, const std::string&)':
openssl_cert.cpp:1271: error: 'asc2uni' was not declared in this scope
openssl_cert.cpp: In function 'int tqsl_exportPKCS12File(void*, const char*, const char*)':
openssl_cert.cpp:1484: error: conditional expression between distinct pointer types 'int (*)()' and 'int (*)(PKCS7*, unsigned char**)' lacks a cast
openssl_cert.cpp:1484: error: invalid conversion from 'int (*)()' to 'void*'
openssl_cert.cpp:1484: error: invalid conversion from 'int (*)(PKCS7*, unsigned char**)' to 'void*'
openssl_cert.cpp:1484: error: invalid conversion from 'void*' to 'stack_st_OPENSSL_BLOCK*'
openssl_cert.cpp:1484: error:   initializing argument 1 of 'unsigned char* ASN1_seq_pack(stack_st_OPENSSL_BLOCK*, int (*)(void*, unsigned char**), unsigned char**, int*)'
openssl_cert.cpp: In function 'int tqsl_get_bag_attribute(PKCS12_SAFEBAG*, const char*, std::string&)':
openssl_cert.cpp:1549: error: 'uni2asc' was not declared in this scope
openssl_cert.cpp: At global scope:
openssl_cert.cpp:2407: warning: 'int tqsl_cert_get_subject_name_count(X509*)' defined but not used
openssl_cert.cpp:2416: warning: 'int tqsl_cert_get_subject_name_index(X509*, int, TQSL_X509_NAME_ITEM*)' defined but not used
openssl_cert.cpp:2442: warning: 'int tqsl_cert_get_subject_date(X509*, const char*, tQSL_Date*)' defined but not used
*** Error code 1

Stop in /usr/ports/comms/trustedqsl/work/trustedqsl-1.11/tqsllib-2.0.
*** Error code 1

Stop in /usr/ports/comms/trustedqsl/work/trustedqsl-1.11/tqsllib-2.0.
*** Error code 1

Stop in /usr/ports/comms/trustedqsl/work/trustedqsl-1.11.
*** Error code 1

Stop in /usr/ports/comms/trustedqsl.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-08 21:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-08-15 00:14:49 UTC
Author: db
Date: Tue Aug 14 23:14:35 2012
New Revision: 302537
URL: http://svn.freebsd.org/changeset/ports/302537

Log:
  - Carve tqsllib out of trustedqsl updating to V2.2 in the process
  - Also address the non build problem reported in PR 169720
  
  PR:		ports/169720
  Submitted by:	paul@dokas.name

Added:
  head/comms/tqsllib/
  head/comms/tqsllib/Makefile   (contents, props changed)
  head/comms/tqsllib/distinfo   (contents, props changed)
  head/comms/tqsllib/pkg-descr   (contents, props changed)
  head/comms/tqsllib/pkg-plist   (contents, props changed)
Modified:
  head/comms/Makefile

Modified: head/comms/Makefile
==============================================================================
--- head/comms/Makefile	Tue Aug 14 22:57:41 2012	(r302536)
+++ head/comms/Makefile	Tue Aug 14 23:14:35 2012	(r302537)
@@ -149,6 +149,7 @@
     SUBDIR += tkhylafax
     SUBDIR += tkscanfax
     SUBDIR += tlf
+    SUBDIR += tqsllib
     SUBDIR += trustedqsl
     SUBDIR += twpsk
     SUBDIR += uarduno

Added: head/comms/tqsllib/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/tqsllib/Makefile	Tue Aug 14 23:14:35 2012	(r302537)
@@ -0,0 +1,46 @@
+# New ports collection makefile for:   tqsllib
+# Date created:                10th August 2012
+# Whom:                        Diane Bruce <db@db.net>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	tqsllib
+PORTVERSION=	2.2
+CATEGORIES=	comms hamradio
+MASTER_SITES=	SF/trustedqsl/tqsllib/V2.2/
+
+MAINTAINER=	db@FreeBSD.org
+COMMENT=	Amateur Radio Station electronic trusted logbook libraries
+
+LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2
+
+GNU_CONFIGURE=	YES
+USE_LDCONFIG=	YES
+USE_OPENSSL=	YES
+CONFIGURE_ARGS+=	"CXXFLAGS=${CXXFLAGS} -fpermissive" --enable-docs=no \
+				--with-openssl=${OPENSSLBASE}
+
+.include <bsd.port.pre.mk>
+
+post-configure:
+	@${REINPLACE_CMD} -e 's|-lcrypto|${OPENSSLLIB}/libcrypto.so|' \
+		${WRKSRC}/Makefile
+
+pre-install:
+	(cd ${WRKSRC}; \
+		make converter;make gen_crq; \
+		make load_cert;make station_loc)
+
+post-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/converter ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/gen_crq ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/load_cert ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/station_loc ${PREFIX}/bin
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${PREFIX}/share/doc/tqsllib
+	${INSTALL_DATA} ${WRKSRC}/LICENSE ${PREFIX}/share/doc/tqsllib
+	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${PREFIX}/share/doc/tqsllib
+.endif
+
+.include <bsd.port.post.mk>

Added: head/comms/tqsllib/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/tqsllib/distinfo	Tue Aug 14 23:14:35 2012	(r302537)
@@ -0,0 +1,2 @@
+SHA256 (tqsllib-2.2.tar.gz) = 1865a642e7e414eb47758ad26c527b84850d4cc4f2f7f1f119700b765ce636ea
+SIZE (tqsllib-2.2.tar.gz) = 616257

Added: head/comms/tqsllib/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/tqsllib/pkg-descr	Tue Aug 14 23:14:35 2012	(r302537)
@@ -0,0 +1,7 @@
+tqsllibs for TrustedQSL
+
+The mission of the Trusted QSL Group is to keep eQSL an open and free
+activity for amateur radio operators by promoting the
+Digital Signature Standard (DSS).
+
+WWW: http://www.trustedqsl.org/trusted-qsl

Added: head/comms/tqsllib/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/tqsllib/pkg-plist	Tue Aug 14 23:14:35 2012	(r302537)
@@ -0,0 +1,19 @@
+bin/converter
+bin/dumptqsldata
+bin/gen_crq
+bin/load_cert
+bin/station_loc
+include/tqsllib.h
+include/tqslerrno.h
+include/cabrillo.h
+include/adif.h
+include/tqslconvert.h
+lib/libtqsllib.so.1
+lib/libtqsllib.so
+lib/libtqsllib.la
+lib/libtqsllib.a
+share/tqsl/config.xml
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/LICENSE
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm share/tqsl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-08-15 00:30:48 UTC
Author: db
Date: Tue Aug 14 23:30:31 2012
New Revision: 302539
URL: http://svn.freebsd.org/changeset/ports/302539

Log:
  - Carve tqsllib out into its own port, updating to it to V2.2 in the process
  - Fix build problem associated with tqsllib
  - Update trustedqsl itself from 1.11 to 1.13
  - Respect OPENSSL build variables
  
  PR:		ports/169720
  Submitted by:	paul@dokas.name

Added:
  head/comms/trustedqsl/files/patch-Makefile.in   (contents, props changed)
  head/comms/trustedqsl/files/patch-configure   (contents, props changed)
Deleted:
  head/comms/trustedqsl/files/Makefile
  head/comms/trustedqsl/files/Makefile.TrustedQSL-1.11
  head/comms/trustedqsl/files/patch-TrustedQSL-1.11_crqwiz.cpp
  head/comms/trustedqsl/files/patch-TrustedQSL-1.11_left.xpm
  head/comms/trustedqsl/files/patch-TrustedQSL-1.11_qsodatadialog.cpp
  head/comms/trustedqsl/files/patch-TrustedQSL-1.11_right.xpm
  head/comms/trustedqsl/files/patch-tqsllib-2.0_Makefile.in
  head/comms/trustedqsl/files/patch-tqsllib-2.0_configure
  head/comms/trustedqsl/files/patch-tqsllib-2.0_openssl_cert.cpp
  head/comms/trustedqsl/files/patch-tqsllib-2.0_tqslconvert.cpp
  head/comms/trustedqsl/files/sysconfig.h.TrustedQSL-1.11
Modified:
  head/comms/trustedqsl/Makefile   (contents, props changed)
  head/comms/trustedqsl/distinfo   (contents, props changed)
  head/comms/trustedqsl/pkg-descr   (contents, props changed)
  head/comms/trustedqsl/pkg-plist   (contents, props changed)

Modified: head/comms/trustedqsl/Makefile
==============================================================================
--- head/comms/trustedqsl/Makefile	Tue Aug 14 23:17:56 2012	(r302538)
+++ head/comms/trustedqsl/Makefile	Tue Aug 14 23:30:31 2012	(r302539)
@@ -6,68 +6,39 @@
 #
 
 PORTNAME=	trustedqsl
-PORTVERSION=	1.11
-PORTREVISION=	9
+PORTVERSION=	1.13
 CATEGORIES=	comms hamradio
-MASTER_SITES=	SF/${PORTNAME}/tqsllib/V2.0
-DISTFILES=	tqsllib-2.0.tar.gz TrustedQSL-1.11.tar.gz
+MASTER_SITES=	SF/${PORTNAME}/TrustedQSL/V1.13/
+DISTFILES=	TrustedQSL-1.13.tar.gz
 
 MAINTAINER=	db@FreeBSD.org
 COMMENT=	Amateur Radio Station electronic trusted logbook
 
-LIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2
+LIB_DEPENDS=	tqsllib:${PORTSDIR}/comms/tqsllib
 
+GNU_CONFIGURE=	yes
+USE_WX=		2.8+
+WX_UNICODE=	yes
+CONFIGURE_ARGS=	--with-wxwindows=${WX_CONFIG}
 USE_PERL5=	yes
-USE_WX=		2.6
 USE_LDCONFIG=	yes
 MAKE_ENV=	INCDIR="-I${LOCALBASE}/include"
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_JOBS_UNSAFE=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+WRKSRC=		${WRKDIR}/TrustedQSL-1.13
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} < 800000
-BROKEN=		does not compile on FreeBSD 7.X
-.endif
-
-post-patch:
-	@${CP} ${FILESDIR}/Makefile  ${WRKSRC}
-	@${REINPLACE_CMD} -e 's|%%INSTALL%%|${INSTALL_PROGRAM}|' \
-		-e 's|%%PREFIX%%|${PREFIX}|' \
-		${WRKSRC}/Makefile
-	@${CP} ${FILESDIR}/Makefile.TrustedQSL-1.11  ${WRKSRC}/TrustedQSL-1.11/Makefile
-	@${CP} ${FILESDIR}/sysconfig.h.TrustedQSL-1.11  ${WRKSRC}/TrustedQSL-1.11/sysconfig.h
-
-do-extract:
-	@${RM} -rf ${WRKDIR}
-	@${MKDIR} ${WRKDIR}
-	@${MKDIR} ${WRKSRC}
-	@for f in ${EXTRACT_ONLY}; do  \
-		if ! (cd ${WRKSRC} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/$$f ${EXTRACT_AFTER_ARGS});\
-		then \
-			exit 1; \
-		fi \
-	done
+pre-configure:
+	@${REINPLACE_CMD} -e 's|%%WX_CONFIG%%|${WX_CONFIG}|g' \
+		 ${WRKSRC}/configure
 
 post-install:
-	${MKDIR} ${PREFIX}/etc/tqsl
-	${INSTALL_DATA} ${WRKSRC}/tqsllib-2.0/config.xml ${PREFIX}/etc/tqsl/config.xml
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${PREFIX}/share/doc/tqslcert
-	@${MKDIR} ${PREFIX}/share/doc/tqslapp
-	@${INSTALL_DATA} ${WRKSRC}/TrustedQSL-1.11/help/tqslcert/* ${PREFIX}/share/doc/tqslcert/
-	@${INSTALL_DATA} ${WRKSRC}/TrustedQSL-1.11/help/tqslapp/* ${PREFIX}/share/doc/tqslapp/
-	@${INSTALL_DATA} ${WRKSRC}/tqsllib-2.0/LICENSE ${PREFIX}/share/doc/tqsllib
-	@${INSTALL_DATA} ${WRKSRC}/tqsllib-2.0/ChangeLog ${PREFIX}/share/doc/tqsllib
-.endif
-	@${ECHO}
-	@${ECHO} trustedqsl is now installed.
-	@${ECHO} You will have to create a directory .tqsl in your
-	@${ECHO} home directory and setup a copy of
-	@${ECHO} ${PREFIX}/etc/tqsl/config.xml here
-	@${ECHO} before this program will run correctly.
-	@${ECHO}
+	@${ECHO_MSG}
+	@${ECHO_MSG} trustedqsl is now installed. You will have to create a directory .tqsl in
+	@${ECHO_MSG} your home directory and setup a copy of ${PREFIX}/share/tqsl/config.xml here
+	@${ECHO_MSG} before this program will run correctly.
+	@${ECHO_MSG}
 
 .include <bsd.port.post.mk>

Modified: head/comms/trustedqsl/distinfo
==============================================================================
--- head/comms/trustedqsl/distinfo	Tue Aug 14 23:17:56 2012	(r302538)
+++ head/comms/trustedqsl/distinfo	Tue Aug 14 23:30:31 2012	(r302539)
@@ -1,4 +1,2 @@
-SHA256 (tqsllib-2.0.tar.gz) = 083c4405455c5b5a711e82275fe2b7106266bfc1edbd1a78ef542244e25909dc
-SIZE (tqsllib-2.0.tar.gz) = 433450
-SHA256 (TrustedQSL-1.11.tar.gz) = 1b208e6f84602c161d936dae161e40b555ebc53883b4eda33d6e8f5fa84d68d9
-SIZE (TrustedQSL-1.11.tar.gz) = 346049
+SHA256 (TrustedQSL-1.13.tar.gz) = 4272bc1d9f525c38dc33d7977879161459694df50d41f89e069e1f92e0aac832
+SIZE (TrustedQSL-1.13.tar.gz) = 362767

Added: head/comms/trustedqsl/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/trustedqsl/files/patch-Makefile.in	Tue Aug 14 23:30:31 2012	(r302539)
@@ -0,0 +1,42 @@
+--- Makefile.in.orig	2010-09-29 11:41:29.000000000 -0500
++++ Makefile.in	2012-08-11 18:44:55.000000000 -0500
+@@ -105,9 +105,9 @@
+ distcleancheck_listfiles = find . -type f -print
+ ACLOCAL = @ACLOCAL@
+ AMTAR = @AMTAR@
+-AUTOCONF = @AUTOCONF@
+-AUTOHEADER = @AUTOHEADER@
+-AUTOMAKE = @AUTOMAKE@
++AUTOCONF =
++AUTOHEADER = 
++AUTOMAKE = 
+ AWK = @AWK@
+ BUILD = @BUILD@
+ CC = @CC@
+@@ -143,7 +143,7 @@
+ LTLIBOBJS = @LTLIBOBJS@
+ MAKEINFO = @MAKEINFO@
+ MKDIR = @MKDIR@
+-MKDIR_P = @MKDIR_P@
++MKDIR_P = /bin/mkdir -p
+ OBJEXT = @OBJEXT@
+ OPENSSL = @OPENSSL@
+ PACKAGE = @PACKAGE@
+@@ -208,7 +208,7 @@
+ localedir = @localedir@
+ localstatedir = @localstatedir@
+ mandir = @mandir@
+-mkdir_p = @mkdir_p@
++mkdir_p = /bin/mkdir
+ oldincludedir = @oldincludedir@
+ pdfdir = @pdfdir@
+ platform = @platform@
+@@ -226,7 +226,7 @@
+ tqslresources = @tqslresources@
+ wxwin_libs = @wxwin_libs@
+ WXWIN_STATIC = @wxwin_static@
+-WXCONFIG = "$(WXDIR)/bin/wx-config"
++WXCONFIG = "$(WXDIR)"
+ helpdir = $(datadir)
+ AM_CXXFLAGS = -Wall `$(WXCONFIG) --cxxflags` -I$(TQSLINC) -I$(ZLIB)/include -I$(EXPAT)/include
+ AM_LDFLAGS = -L$(TQSLLIB) -L$(ZLIB)/lib -L$(EXPAT)/lib -L$(OPENSSL)/lib

Added: head/comms/trustedqsl/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/trustedqsl/files/patch-configure	Tue Aug 14 23:30:31 2012	(r302539)
@@ -0,0 +1,24 @@
+--- configure.orig	2012-08-11 14:24:17.000000000 -0500
++++ configure	2012-08-11 14:28:58.000000000 -0500
+@@ -4601,7 +4601,7 @@
+ 
+ checkwxdir(){
+   if test -z "$WXDIR"; then
+-    if test -e "$1/bin/wx-config"; then
++    if test -e "%%WX_CONFIG%%"; then
+       WXDIR="$1"
+     fi
+   fi
+@@ -4813,10 +4813,10 @@
+ fi
+ 
+ 
+-wxwin_libs=`$WXDIR/bin/wx-config --libs`
++wxwin_libs=`%%WX_CONFIG%% --libs`
+ # Check whether --enable-wxwin-static was given.
+ if test "${enable_wxwin_static+set}" = set; then
+-  enableval=$enable_wxwin_static;  if test "$enableval" = "yes"; then wxwin_libs=`$WXDIR/bin/wx-config --static --libs`; fi
++  enableval=$enable_wxwin_static;  if test "$enableval" = "yes"; then wxwin_libs=`%%WX_CONFIG%% --static --libs`; fi
+ fi
+ 
+ 

Modified: head/comms/trustedqsl/pkg-descr
==============================================================================
--- head/comms/trustedqsl/pkg-descr	Tue Aug 14 23:17:56 2012	(r302538)
+++ head/comms/trustedqsl/pkg-descr	Tue Aug 14 23:30:31 2012	(r302539)
@@ -4,4 +4,4 @@ The mission of the Trusted QSL Group is 
 activity for amateur radio operators by promoting the
 Digital Signature Standard (DSS).
 
-WWW: http://www.arrl.org/lotw/
+WWW: http://www.trustedqsl.org/trusted-qsl

Modified: head/comms/trustedqsl/pkg-plist
==============================================================================
--- head/comms/trustedqsl/pkg-plist	Tue Aug 14 23:17:56 2012	(r302538)
+++ head/comms/trustedqsl/pkg-plist	Tue Aug 14 23:30:31 2012	(r302539)
@@ -1,84 +1,69 @@
-bin/converter
-bin/dumptqsldata
-bin/gen_crq
-bin/load_cert
-bin/station_loc
 bin/tqsl
 bin/tqslcert
-etc/tqsl/config.xml
-include/tqsllib.h
-include/tqslerrno.h
-include/cabrillo.h
-include/adif.h
-include/tqslconvert.h
-lib/libtqsllib.so.1
-lib/libtqsllib.so
-lib/libtqsllib.la
-lib/libtqsllib.a
-%%PORTDOCS%%share/doc/tqslapp/addcont.bmp
-%%PORTDOCS%%share/doc/tqslapp/addstnl.bmp
-%%PORTDOCS%%share/doc/tqslapp/addstnl0.bmp
-%%PORTDOCS%%share/doc/tqslapp/adifdial.bmp
-%%PORTDOCS%%share/doc/tqslapp/cmdline.htm
-%%PORTDOCS%%share/doc/tqslapp/contents.hhc
-%%PORTDOCS%%share/doc/tqslapp/daterng.bmp
-%%PORTDOCS%%share/doc/tqslapp/daterng.htm
-%%PORTDOCS%%share/doc/tqslapp/glossary.htm
-%%PORTDOCS%%share/doc/tqslapp/main.htm
-%%PORTDOCS%%share/doc/tqslapp/pref-adi.bmp
-%%PORTDOCS%%share/doc/tqslapp/pref-adi.htm
-%%PORTDOCS%%share/doc/tqslapp/pref-cab.bmp
-%%PORTDOCS%%share/doc/tqslapp/pref-cab.htm
-%%PORTDOCS%%share/doc/tqslapp/pref-opt.bmp
-%%PORTDOCS%%share/doc/tqslapp/pref-opt.htm
-%%PORTDOCS%%share/doc/tqslapp/pref.htm
-%%PORTDOCS%%share/doc/tqslapp/qsodata.bmp
-%%PORTDOCS%%share/doc/tqslapp/qsodata.htm
-%%PORTDOCS%%share/doc/tqslapp/savestnl.bmp
-%%PORTDOCS%%share/doc/tqslapp/signconf.bmp
-%%PORTDOCS%%share/doc/tqslapp/signdone.bmp
-%%PORTDOCS%%share/doc/tqslapp/signing.htm
-%%PORTDOCS%%share/doc/tqslapp/stnloc.bmp
-%%PORTDOCS%%share/doc/tqslapp/stnloc.htm
-%%PORTDOCS%%share/doc/tqslapp/stnloc1.htm
-%%PORTDOCS%%share/doc/tqslapp/stnloc2.htm
-%%PORTDOCS%%share/doc/tqslapp/tqsl.htm
-%%PORTDOCS%%share/doc/tqslapp/tqslapp.hhp
-%%PORTDOCS%%share/doc/tqslcert/broken-cert.bmp
-%%PORTDOCS%%share/doc/tqslcert/contents.hhc
-%%PORTDOCS%%share/doc/tqslcert/crq.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq.htm
-%%PORTDOCS%%share/doc/tqslcert/crq0.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq0.htm
-%%PORTDOCS%%share/doc/tqslcert/crq1.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq1.htm
-%%PORTDOCS%%share/doc/tqslcert/crq2.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq2.htm
-%%PORTDOCS%%share/doc/tqslcert/crq3.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq3.htm
-%%PORTDOCS%%share/doc/tqslcert/crq4.bmp
-%%PORTDOCS%%share/doc/tqslcert/crq4.htm
-%%PORTDOCS%%share/doc/tqslcert/crqsend.htm
-%%PORTDOCS%%share/doc/tqslcert/glossary.htm
-%%PORTDOCS%%share/doc/tqslcert/lcf.bmp
-%%PORTDOCS%%share/doc/tqslcert/lcf0.bmp
-%%PORTDOCS%%share/doc/tqslcert/lcf0.htm
-%%PORTDOCS%%share/doc/tqslcert/lcf1.bmp
-%%PORTDOCS%%share/doc/tqslcert/lcf1.htm
-%%PORTDOCS%%share/doc/tqslcert/lcf2.htm
-%%PORTDOCS%%share/doc/tqslcert/loadcert.htm
-%%PORTDOCS%%share/doc/tqslcert/main.htm
-%%PORTDOCS%%share/doc/tqslcert/newp12pw.bmp
-%%PORTDOCS%%share/doc/tqslcert/newpw.bmp
-%%PORTDOCS%%share/doc/tqslcert/nocert.bmp
-%%PORTDOCS%%share/doc/tqslcert/props.bmp
-%%PORTDOCS%%share/doc/tqslcert/save.htm
-%%PORTDOCS%%share/doc/tqslcert/tqsl.htm
-%%PORTDOCS%%share/doc/tqslcert/tqslcert.bmp
-%%PORTDOCS%%share/doc/tqslcert/tqslcert.hhp
-%%PORTDOCS%%share/doc/tqslcert/unlock.bmp
-%%PORTDOCS%%share/doc/tqslcert/unlock.htm
-%%PORTDOCS%%share/doc/tqsllib
-%%PORTDOCS%%@dirrm share/doc/tqslcert
-%%PORTDOCS%%@dirrm share/doc/tqslapp
-@dirrm etc/tqsl
+share/TrustedQSL/help/tqslapp/addcont.bmp
+share/TrustedQSL/help/tqslapp/addstnl.bmp
+share/TrustedQSL/help/tqslapp/addstnl0.bmp
+share/TrustedQSL/help/tqslapp/adifdial.bmp
+share/TrustedQSL/help/tqslapp/cmdline.htm
+share/TrustedQSL/help/tqslapp/contents.hhc
+share/TrustedQSL/help/tqslapp/daterng.bmp
+share/TrustedQSL/help/tqslapp/daterng.htm
+share/TrustedQSL/help/tqslapp/glossary.htm
+share/TrustedQSL/help/tqslapp/main.htm
+share/TrustedQSL/help/tqslapp/pref-adi.bmp
+share/TrustedQSL/help/tqslapp/pref-adi.htm
+share/TrustedQSL/help/tqslapp/pref-cab.bmp
+share/TrustedQSL/help/tqslapp/pref-cab.htm
+share/TrustedQSL/help/tqslapp/pref-opt.bmp
+share/TrustedQSL/help/tqslapp/pref-opt.htm
+share/TrustedQSL/help/tqslapp/pref.htm
+share/TrustedQSL/help/tqslapp/qsodata.bmp
+share/TrustedQSL/help/tqslapp/qsodata.htm
+share/TrustedQSL/help/tqslapp/savestnl.bmp
+share/TrustedQSL/help/tqslapp/signconf.bmp
+share/TrustedQSL/help/tqslapp/signdone.bmp
+share/TrustedQSL/help/tqslapp/signing.htm
+share/TrustedQSL/help/tqslapp/stnloc.bmp
+share/TrustedQSL/help/tqslapp/stnloc.htm
+share/TrustedQSL/help/tqslapp/stnloc1.htm
+share/TrustedQSL/help/tqslapp/stnloc2.htm
+share/TrustedQSL/help/tqslapp/tqsl.htm
+share/TrustedQSL/help/tqslapp/tqslapp.hhp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/broken-cert.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/contents.hhc
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq0.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq0.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq1.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq1.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq2.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq2.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq3.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq3.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq4.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crq4.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/crqsend.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/glossary.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf0.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf0.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf1.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf1.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/lcf2.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/loadcert.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/main.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/newp12pw.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/newpw.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/nocert.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/props.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/save.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqsl.htm
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqslcert.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/tqslcert.hhp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/unlock.bmp
+%%PORTDOCS%%share/TrustedQSL/help/tqslcert/unlock.htm
+%%PORTDOCS%%@dirrm share/TrustedQSL/help/tqslcert
+%%PORTDOCS%%@dirrm share/TrustedQSL/help/tqslapp
+%%PORTDOCS%%@dirrm share/TrustedQSL/help
+%%PORTDOCS%%@dirrm share/TrustedQSL
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Diane Bruce freebsd_committer 2012-08-15 00:33:07 UTC
State Changed
From-To: open->closed

trustedqsl split into two ports, bug fixed. Thanks for the report!